Subject: [netconf] Adoption-suitability for draft-wang-netconf-bulk-subscribed-notifications

From: Kent Watsen <[email-masked]>
Date: Wed, 5 Aug 2020 22:18:31 +0000

NETCONF WG,

Per the previous email sent moments ago, the chairs would like to solicit input on the following draft:

   Title: Bulk Subscription to YANG Event Notification
   Link: https://tools.ietf.org/html/draft-wang-netconf-bulk-subscribed-notifications
   Abstract:

      This document defines a YANG data model and associated mechanism that
      allows subscriber applications to bulk subscribe to publishers' event
      streams based on bundle group information such as bundle size and
      bundle latency.  This allows the publishers to report multiple
      notifications in a single bundling message.

In particular, please discuss adoption-suitability as it regards to the following questions:

    1) is the problem important for the NETCONF WG to solve?
    2) is the draft a suitable basis for the work?

PS: this message is itself not an adoption poll, but rather an attempt to gauge interest/support for a potential future adoption poll.

NETCONF Chairs

---

From: "[email-masked]" <[email-masked]>
Date: Mon, 10 Aug 2020 16:10:27 +0800

Hi, Chairs

    I would like to contribute to the draft. 

I believe that it is important to allow the publishers to understand which specific subscriptions can be bundled together and which not.
Bulk Subscription can work together [I-D.ietf-netconf-notification-messages] and allow the publishers to report multiple notification in a single bundling message.
And I also believe that the NETCONF WG is the appropriate WG for this work. RFC8639 and RFC8640 provide a good basis for this work.

I have read the latest version of the draft and believe it has been in good shape and served as a reasonable good starting point.
One white paper has been planned for publication to make the whole community benefit from it.
If this work gets adopted, I am willing to review this work as contributor and contribute to any discussion needed.

Best Regards
Zongpeng Du

[email-masked] & [email-masked]
 
From: Kent Watsen
Date: 2020-08-06 06:18
To: [email-masked]
Subject: [netconf] Adoption-suitability for draft-wang-netconf-bulk-subscribed-notifications

NETCONF WG,

NETCONF Chairs

---

From: Andy Bierman <[email-masked]>
Date: Mon, 10 Aug 2020 12:40:10 -0700

Hi,

I am trying to understand the problem statement in this draft.
It seems to be that RFC 8639 does not provide enough configuration
capability
to specify how notifications from different subscriptions should be bundled
together into a single message.  There is no discussion of why bundling
notifications needs to be standardized, or what benefits it provides over
the current RFC 5277 notification message definition.

This approach seems to add a lot of complexity without adding much benefit.

Andy

On Wed, Aug 5, 2020 at 3:19 PM Kent Watsen <[email-masked]> wrote:

>    Link: https://tools.ietf.org/html/
> draft-wang-netconf-bulk-subscribed-notifications
>    Abstract:
>
> PS: this message is itself not an adoption poll, but rather an attempt to
> gauge interest/support for a potential future adoption poll.
>
> NETCONF Chairs
> _______________________________________________
> netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Alexander L Clemm <[email-masked]>
Date: Mon, 10 Aug 2020 23:22:27 -0700

Hi,

I am not quite sure about the purpose of these adoption-suitability
polls (not just for this but for the various other drafts) and was
wondering about the rationale for it.  It seems to me to be redundant
with anactual adoption call - do we foresee situations where a draft is
adoption-suitable but would not actually be adopted?  If a draft is
deemed to not yet be adoption-suitable, is there any difference to the
draft not yet being adopted?  What is expected to happen in the interim
state or time period between when a draft is deemed "adoption-suitable"
until it actually gets adopted? 

Thanks

--- Alex

On 8/5/2020 3:18 PM, Kent Watsen wrote:
>    Link:
> https://tools.ietf.org/html/draft-wang-netconf-bulk-subscribed-notifications
>    Abstract:
>
> PS: this message is itself not an adoption poll, but rather an attempt
> to gauge interest/support for a potential future adoption poll.
>
> NETCONF Chairs
>